Bug 820548 - Review Request: jasperreports - Report-generating tool
Review Request: jasperreports - Report-generating tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
:
Depends On: 820344
Blocks: 836218
  Show dependency treegraph
 
Reported: 2012-05-10 07:24 EDT by gil cattaneo
Modified: 2013-03-13 00:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pobara: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-10 07:24:23 EDT
Spec URL: http://gil.fedorapeople.org/jasperreports.spec
SRPM URL: http://gil.fedorapeople.org/jasperreports-4.0.2-1.fc16.src.rpm
Description: JasperReports is a powerful open source
report-generating tool that has the ability
to deliver rich content onto the screen, to
the printer or into PDF, HTML, XLS, CSV and
XML files. It is entirely written in Java
and can be used in a variety of Java enabled
applications, including J2EE or Web
Its main purpose is to help creating page
oriented, ready to print documents in a
simple and flexible manner.
Comment 1 Patryk Obara 2012-07-06 11:56:21 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint jasperreports.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint jasperreports-4.0.2-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint jasperreports-4.0.2-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint jasperreports-manual-4.0.2-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint jasperreports-javadoc-4.0.2-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].

See issues section below.

[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : b0b526a99c4715a176e4417f7e9e685b  jasperreports-4.0.2-project.tar.gz
MD5SUM upstream package: b0b526a99c4715a176e4417f7e9e685b  jasperreports-4.0.2-project.tar.gz
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[!]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[!]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4223064

=== Issues ===
1. Licensing...

- in line 146:

# remove non free source code
rm -rf src/org/w3c/tools/codec/Base64*

which is not true, these files are licensed with W3C software license, which is ok (see http://fedoraproject.org/wiki/Licensing:Main). There's no reason to remove those files.

- except in lib, I found no source/doc files licensed with Apache license - can you list some? If not, then remove ASL2 from licnse tag

- files in lib are licensed with many various licenses: ASL2, LGPL, GPL, some MIT-style licenses... as far as I can tell they are all free licenses, but this is not mentioned at all by license tag; I recommend repackaging source directory with lib directory removed completely. If you think, that those w3c files are not necessary, then remove them, too (otherwise add W3C to license tag).

2. Directory %{_javadir}/%{name} is not owned by this package


=== Final Notes ===
1. Do you really need versioned dependency on ecj?
2. You mentioned, that newer version require some dependency, that is not available; can you put comment in specfile, what exactly blocks packaging of 4.6.0 version?
3. Lines 131, 132: replace -exec (...) with -delete
4. Line 133: there is no such file, remove this line
5. Remove unnecessary comments from following lines: 40, 142, all comments listing files in demo dir
6. Are any references to bsh2 required? consider removing those commented lines
7. Remove blank line 1, please.
Comment 2 gil cattaneo 2012-07-06 16:33:17 EDT
>1. Do you really need versioned dependency on ecj?
yes pom file in the previous ecj release is unusable
>2. You mentioned, that newer version require some dependency, that is not >available; can you put comment in specfile, what exactly blocks packaging of >4.6.0 version?
xmlbeans >= 2.5.0
castor-xml modules
see also https://bugzilla.redhat.com/show_bug.cgi?id=820676
jasperreports-4.6.0/src/net/sf/jasperreports/util/CastorUtil.java
jasperreports-4.6.0/src/net/sf/jasperreports/repo/CastorObjectPersistenceService.java
jasperreports-4.6.0/src/net/sf/jasperreports/data/XmlUtil.java

>6. Are any references to bsh2 required? consider removing those commented lines
maybe, i dont tried
Comment 3 gil cattaneo 2012-07-06 17:22:08 EDT
Spec URL: http://gil.fedorapeople.org/jasperreports/1/jasperreports.spec
SRPM URL: http://gil.fedorapeople.org/jasperreports/1/jasperreports-4.0.2-1.fc16.src.rpm
- clean up spec file
- changed license tag
- directory %{_javadir}/%{name} is now owned by this package
Comment 4 Patryk Obara 2012-07-09 08:32:54 EDT
Hmm, after your changes license tag is: LGPLv3+ and GPL+ and MIT
but if you repackaged source as I suggested and removed lib directory from tarball, it would be only LGPLv3+, which would accurately describe software, that is actually packaged and source rpm.

In files section you don't need:
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/%{name}*.jar

you can replace these two lines with:
%{_javadir}/%{name}

These are my last two gripes.
Comment 5 gil cattaneo 2012-07-09 09:25:23 EDT
Spec URL: http://gil.fedorapeople.org/jasperreports/2/jasperreports.spec
SRPM URL: http://gil.fedorapeople.org/jasperreports/2/jasperreports-4.0.2-2.fc16.src.rpm
- fix license tag
- repackaged source0
- directory %{_javadir}/%{name} is now owned by this package
Comment 6 Patryk Obara 2012-07-09 09:51:59 EDT
================
*** APPROVED ***
================
Comment 7 gil cattaneo 2012-07-09 09:55:05 EDT
New Package SCM Request
=======================
Package Name: jasperreports
Short Description: Report-generating tool
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 8 Kevin Fenzi 2012-07-10 18:29:20 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-07-11 06:32:48 EDT
jasperreports-4.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jasperreports-4.0.2-2.fc17
Comment 10 Fedora Update System 2012-07-11 19:59:48 EDT
jasperreports-4.0.2-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-07-17 12:43:53 EDT
jasperreports-4.0.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jasperreports-4.0.2-3.fc17
Comment 12 Fedora Update System 2012-07-26 18:33:03 EDT
jasperreports-4.0.2-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.